Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network35.0.64.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
35.0.64.0
Broadcast address
35.0.95.255
First usable
35.0.64.1
Last usable
35.0.95.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 23004000 · Integer 587218944 to 587227135
Reverse DNS zones
64.0.35.in-addr.arpa
65.0.35.in-addr.arpa
66.0.35.in-addr.arpa
67.0.35.in-addr.arpa
68.0.35.in-addr.arpa
69.0.35.in-addr.arpa
70.0.35.in-addr.arpa
71.0.35.in-addr.arpa
72.0.35.in-addr.arpa
73.0.35.in-addr.arpa
74.0.35.in-addr.arpa
75.0.35.in-addr.arpa
76.0.35.in-addr.arpa
77.0.35.in-addr.arpa
78.0.35.in-addr.arpa
79.0.35.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100011.00000000.01000000.0000000035.0.64.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00100011.00000000.01000000.0000000035.0.64.0
Broadcast00100011.00000000.01011111.1111111135.0.95.255
Split into smaller subnets/26

35.0.64.0/19 makes 128 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
135.0.64.0/2635.0.64.1 to 35.0.64.6235.0.64.6362
235.0.64.64/2635.0.64.65 to 35.0.64.12635.0.64.12762
335.0.64.128/2635.0.64.129 to 35.0.64.19035.0.64.19162
435.0.64.192/2635.0.64.193 to 35.0.64.25435.0.64.25562
535.0.65.0/2635.0.65.1 to 35.0.65.6235.0.65.6362
635.0.65.64/2635.0.65.65 to 35.0.65.12635.0.65.12762
735.0.65.128/2635.0.65.129 to 35.0.65.19035.0.65.19162
835.0.65.192/2635.0.65.193 to 35.0.65.25435.0.65.25562
935.0.66.0/2635.0.66.1 to 35.0.66.6235.0.66.6362
1035.0.66.64/2635.0.66.65 to 35.0.66.12635.0.66.12762
1135.0.66.128/2635.0.66.129 to 35.0.66.19035.0.66.19162
1235.0.66.192/2635.0.66.193 to 35.0.66.25435.0.66.25562
1335.0.67.0/2635.0.67.1 to 35.0.67.6235.0.67.6362
1435.0.67.64/2635.0.67.65 to 35.0.67.12635.0.67.12762
1535.0.67.128/2635.0.67.129 to 35.0.67.19035.0.67.19162
1635.0.67.192/2635.0.67.193 to 35.0.67.25435.0.67.25562
1735.0.68.0/2635.0.68.1 to 35.0.68.6235.0.68.6362
1835.0.68.64/2635.0.68.65 to 35.0.68.12635.0.68.12762
1935.0.68.128/2635.0.68.129 to 35.0.68.19035.0.68.19162
2035.0.68.192/2635.0.68.193 to 35.0.68.25435.0.68.25562
2135.0.69.0/2635.0.69.1 to 35.0.69.6235.0.69.6362
2235.0.69.64/2635.0.69.65 to 35.0.69.12635.0.69.12762
2335.0.69.128/2635.0.69.129 to 35.0.69.19035.0.69.19162
2435.0.69.192/2635.0.69.193 to 35.0.69.25435.0.69.25562
2535.0.70.0/2635.0.70.1 to 35.0.70.6235.0.70.6362
2635.0.70.64/2635.0.70.65 to 35.0.70.12635.0.70.12762
2735.0.70.128/2635.0.70.129 to 35.0.70.19035.0.70.19162
2835.0.70.192/2635.0.70.193 to 35.0.70.25435.0.70.25562
2935.0.71.0/2635.0.71.1 to 35.0.71.6235.0.71.6362
3035.0.71.64/2635.0.71.65 to 35.0.71.12635.0.71.12762
3135.0.71.128/2635.0.71.129 to 35.0.71.19035.0.71.19162
3235.0.71.192/2635.0.71.193 to 35.0.71.25435.0.71.25562
3335.0.72.0/2635.0.72.1 to 35.0.72.6235.0.72.6362
3435.0.72.64/2635.0.72.65 to 35.0.72.12635.0.72.12762
3535.0.72.128/2635.0.72.129 to 35.0.72.19035.0.72.19162
3635.0.72.192/2635.0.72.193 to 35.0.72.25435.0.72.25562
3735.0.73.0/2635.0.73.1 to 35.0.73.6235.0.73.6362
3835.0.73.64/2635.0.73.65 to 35.0.73.12635.0.73.12762
3935.0.73.128/2635.0.73.129 to 35.0.73.19035.0.73.19162
4035.0.73.192/2635.0.73.193 to 35.0.73.25435.0.73.25562
4135.0.74.0/2635.0.74.1 to 35.0.74.6235.0.74.6362
4235.0.74.64/2635.0.74.65 to 35.0.74.12635.0.74.12762
4335.0.74.128/2635.0.74.129 to 35.0.74.19035.0.74.19162
4435.0.74.192/2635.0.74.193 to 35.0.74.25435.0.74.25562
4535.0.75.0/2635.0.75.1 to 35.0.75.6235.0.75.6362
4635.0.75.64/2635.0.75.65 to 35.0.75.12635.0.75.12762
4735.0.75.128/2635.0.75.129 to 35.0.75.19035.0.75.19162
4835.0.75.192/2635.0.75.193 to 35.0.75.25435.0.75.25562
4935.0.76.0/2635.0.76.1 to 35.0.76.6235.0.76.6362
5035.0.76.64/2635.0.76.65 to 35.0.76.12635.0.76.12762
5135.0.76.128/2635.0.76.129 to 35.0.76.19035.0.76.19162
5235.0.76.192/2635.0.76.193 to 35.0.76.25435.0.76.25562
5335.0.77.0/2635.0.77.1 to 35.0.77.6235.0.77.6362
5435.0.77.64/2635.0.77.65 to 35.0.77.12635.0.77.12762
5535.0.77.128/2635.0.77.129 to 35.0.77.19035.0.77.19162
5635.0.77.192/2635.0.77.193 to 35.0.77.25435.0.77.25562
5735.0.78.0/2635.0.78.1 to 35.0.78.6235.0.78.6362
5835.0.78.64/2635.0.78.65 to 35.0.78.12635.0.78.12762
5935.0.78.128/2635.0.78.129 to 35.0.78.19035.0.78.19162
6035.0.78.192/2635.0.78.193 to 35.0.78.25435.0.78.25562
6135.0.79.0/2635.0.79.1 to 35.0.79.6235.0.79.6362
6235.0.79.64/2635.0.79.65 to 35.0.79.12635.0.79.12762
6335.0.79.128/2635.0.79.129 to 35.0.79.19035.0.79.19162
6435.0.79.192/2635.0.79.193 to 35.0.79.25435.0.79.25562
6535.0.80.0/2635.0.80.1 to 35.0.80.6235.0.80.6362
6635.0.80.64/2635.0.80.65 to 35.0.80.12635.0.80.12762
6735.0.80.128/2635.0.80.129 to 35.0.80.19035.0.80.19162
6835.0.80.192/2635.0.80.193 to 35.0.80.25435.0.80.25562
6935.0.81.0/2635.0.81.1 to 35.0.81.6235.0.81.6362
7035.0.81.64/2635.0.81.65 to 35.0.81.12635.0.81.12762
7135.0.81.128/2635.0.81.129 to 35.0.81.19035.0.81.19162
7235.0.81.192/2635.0.81.193 to 35.0.81.25435.0.81.25562
7335.0.82.0/2635.0.82.1 to 35.0.82.6235.0.82.6362
7435.0.82.64/2635.0.82.65 to 35.0.82.12635.0.82.12762
7535.0.82.128/2635.0.82.129 to 35.0.82.19035.0.82.19162
7635.0.82.192/2635.0.82.193 to 35.0.82.25435.0.82.25562
7735.0.83.0/2635.0.83.1 to 35.0.83.6235.0.83.6362
7835.0.83.64/2635.0.83.65 to 35.0.83.12635.0.83.12762
7935.0.83.128/2635.0.83.129 to 35.0.83.19035.0.83.19162
8035.0.83.192/2635.0.83.193 to 35.0.83.25435.0.83.25562
8135.0.84.0/2635.0.84.1 to 35.0.84.6235.0.84.6362
8235.0.84.64/2635.0.84.65 to 35.0.84.12635.0.84.12762
8335.0.84.128/2635.0.84.129 to 35.0.84.19035.0.84.19162
8435.0.84.192/2635.0.84.193 to 35.0.84.25435.0.84.25562
8535.0.85.0/2635.0.85.1 to 35.0.85.6235.0.85.6362
8635.0.85.64/2635.0.85.65 to 35.0.85.12635.0.85.12762
8735.0.85.128/2635.0.85.129 to 35.0.85.19035.0.85.19162
8835.0.85.192/2635.0.85.193 to 35.0.85.25435.0.85.25562
8935.0.86.0/2635.0.86.1 to 35.0.86.6235.0.86.6362
9035.0.86.64/2635.0.86.65 to 35.0.86.12635.0.86.12762
9135.0.86.128/2635.0.86.129 to 35.0.86.19035.0.86.19162
9235.0.86.192/2635.0.86.193 to 35.0.86.25435.0.86.25562
9335.0.87.0/2635.0.87.1 to 35.0.87.6235.0.87.6362
9435.0.87.64/2635.0.87.65 to 35.0.87.12635.0.87.12762
9535.0.87.128/2635.0.87.129 to 35.0.87.19035.0.87.19162
9635.0.87.192/2635.0.87.193 to 35.0.87.25435.0.87.25562
9735.0.88.0/2635.0.88.1 to 35.0.88.6235.0.88.6362
9835.0.88.64/2635.0.88.65 to 35.0.88.12635.0.88.12762
9935.0.88.128/2635.0.88.129 to 35.0.88.19035.0.88.19162
10035.0.88.192/2635.0.88.193 to 35.0.88.25435.0.88.25562
10135.0.89.0/2635.0.89.1 to 35.0.89.6235.0.89.6362
10235.0.89.64/2635.0.89.65 to 35.0.89.12635.0.89.12762
10335.0.89.128/2635.0.89.129 to 35.0.89.19035.0.89.19162
10435.0.89.192/2635.0.89.193 to 35.0.89.25435.0.89.25562
10535.0.90.0/2635.0.90.1 to 35.0.90.6235.0.90.6362
10635.0.90.64/2635.0.90.65 to 35.0.90.12635.0.90.12762
10735.0.90.128/2635.0.90.129 to 35.0.90.19035.0.90.19162
10835.0.90.192/2635.0.90.193 to 35.0.90.25435.0.90.25562
10935.0.91.0/2635.0.91.1 to 35.0.91.6235.0.91.6362
11035.0.91.64/2635.0.91.65 to 35.0.91.12635.0.91.12762
11135.0.91.128/2635.0.91.129 to 35.0.91.19035.0.91.19162
11235.0.91.192/2635.0.91.193 to 35.0.91.25435.0.91.25562
11335.0.92.0/2635.0.92.1 to 35.0.92.6235.0.92.6362
11435.0.92.64/2635.0.92.65 to 35.0.92.12635.0.92.12762
11535.0.92.128/2635.0.92.129 to 35.0.92.19035.0.92.19162
11635.0.92.192/2635.0.92.193 to 35.0.92.25435.0.92.25562
11735.0.93.0/2635.0.93.1 to 35.0.93.6235.0.93.6362
11835.0.93.64/2635.0.93.65 to 35.0.93.12635.0.93.12762
11935.0.93.128/2635.0.93.129 to 35.0.93.19035.0.93.19162
12035.0.93.192/2635.0.93.193 to 35.0.93.25435.0.93.25562
12135.0.94.0/2635.0.94.1 to 35.0.94.6235.0.94.6362
12235.0.94.64/2635.0.94.65 to 35.0.94.12635.0.94.12762
12335.0.94.128/2635.0.94.129 to 35.0.94.19035.0.94.19162
12435.0.94.192/2635.0.94.193 to 35.0.94.25435.0.94.25562
12535.0.95.0/2635.0.95.1 to 35.0.95.6235.0.95.6362
12635.0.95.64/2635.0.95.65 to 35.0.95.12635.0.95.12762
12735.0.95.128/2635.0.95.129 to 35.0.95.19035.0.95.19162
12835.0.95.192/2635.0.95.193 to 35.0.95.25435.0.95.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses